* {
  box-sizing: border-box;
}

body {
  background-color: blue;
  background-image: url("https://wallpaperaccess.com/full/385739.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  background-attachment: fixed;
  margin: 0;
}

header {
  /* box-shadow:
    0px 1px 3px 0px rgba(0, 0, 0, 0.1),
    0px 1px 2px 0px rgba(0, 0, 0, 0.06); */
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 40px;
  margin: 50px;
  flex-wrap: wrap;
}

/* credit: https://www.designpieces.com/2017/03/wordart-css3-text-effects/ */
.wordart {
  font-family: Arial, sans-serif;
  font-size: 4em;
  font-weight: bold;
  position: relative;
  z-index: 1;
  display: inline-block;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.wordart.purple {
  transform: skew(0, -10deg) scale(1, 1.5);
  -webkit-transform: skew(0, -10deg) scale(1, 1.5);
  -moz-transform: skew(0, -10deg) scale(1, 1.5);
  -o-transform: skew(0, -10deg) scale(1, 1.5);
  -ms-transform: skew(0, -10deg) scale(1, 1.5);
}

.wordart.purple .text {
  letter-spacing: -0.01em;
  font-family: Impact;
  background: #4222be;
  background: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiA/Pgo8c3ZnIHhtbG5zPSJod…IgaGVpZ2h0PSIxIiBmaWxsPSJ1cmwoI2dyYWQtdWNnZy1nZW5lcmF0ZWQpIiAvPgo8L3N2Zz4=);
  background: -moz-linear-gradient(top, #4222be 0%, #a62cc1 73%);
  background: -webkit-gradient(
    linear,
    left top,
    left bottom,
    color-stop(0%, #4222be),
    color-stop(73%, #a62cc1)
  );
  background: -webkit-linear-gradient(top, #4222be 0%, #a62cc1 73%);
  background: -o-linear-gradient(top, #4222be 0%, #a62cc1 73%);
  background: -ms-linear-gradient(top, #4222be 0%, #a62cc1 73%);
  background: linear-gradient(to bottom, #4222be 0%, #a62cc1 73%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#4222be', endColorstr='#a62cc1', GradientType=0);
  -webkit-text-stroke: 0.01em #b28ffd;
  filter: progid:DXImageTransform.Microsoft.Glow(Color=#b28ffd, Strength=1);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.navbar {
  display: block;
  padding: 20px;
}
.top {
  display: block;
  background-color: #2b2b2b;
  padding: 10px;
  box-shadow:
    0px 1px 3px 0px rgba(0, 0, 0, 0.1),
    0px 1px 2px 0px rgba(0, 0, 0, 0.06);
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
}
.navcontent {
  display: block;
  text-align: center;
  padding: 20px;
  background-color: black;
  width: inherit;
  border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
}

.navcontent a {
  text-decoration: none;
  color: #4af626;
  margin: 60px;
  font-size: large;
  font-weight: 700;
}

.navcontent a:hover {
  color: black;
  background-color: #4af626;
}

.navcontent a:focus {
  color: black;
  background-color: #4af626;
}

/* credits: https://www.w3schools.com/howto/tryit.asp?filename=tryhow_css_browser_window */
.dot {
  height: 12px;
  width: 12px;
  background-color: #c70000;
  border-radius: 50%;
  display: inline-block;
  /* position: relative;
  left: 100%;
  transform: translateX(-100%); */
}

.dot:hover {
  background-color: #ff0000;
}

.content {
  display: block;
  padding: 20px;
}

.content-inner-flow {
  display: block;
  padding: 20px;
  background-color: black;
  width: inherit;
  border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
}

.content-inner-flow h1 {
  color: #4af626;
}

.content-inner-flow p {
  color: #4af626;
  font-weight: 300;
  letter-spacing: 0.8px;
  line-height: 25px;
  font-size: large;
}

.blink {
  animation: blinker 2s step-end infinite;
  background-color: #4af626;
  color: #4af626;
  padding: 0px 3px;
}

@keyframes blinker {
  50% {
    opacity: 0;
  }
}

.construction {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.canvas {
  display: block;
  height: 100vh;
  border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
}

.footer {
  display: block;
}

.footer-content {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.footer-links {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
}
